Package com.independentsoft.office.spreadsheet

# Enum Class SqlDataType

java.lang.Object
java.lang.Enum<SqlDataType>
com.independentsoft.office.spreadsheet.SqlDataType

All Implemented Interfaces:
  `Serializable`, `Comparable<SqlDataType>`, `Constable`

public enum SqlDataType extends Enum<SqlDataType>
The Enum SqlDataType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BIG_INT`
  `BINARY`
  `BIT`
  `CHAR`
  `DATE`
  `DECIMAL`
  `DOUBLE`
  `FLOAT`
  `GUID`
  `INTEGER`
  `INTERVAL_DAY`
  `INTERVAL_DAY_TO_HOUR`
  `INTERVAL_DAY_TO_MINUTE`
  `INTERVAL_DAY_TO_SECOND`
  `INTERVAL_HOUR`
  `INTERVAL_HOUR_TO_MINUTE`
  `INTERVAL_HOUR_TO_SECOND`
  `INTERVAL_MINUTE`
  `INTERVAL_MINUTE_TO_SECOND`
  `INTERVAL_MONTH`
  `INTERVAL_SECOND`
  `INTERVAL_YEAR`
  `INTERVAL_YEAR_TO_MONTH`
  `LONG_VAR_BINARY`
  `LONG_VARCHAR`
  `NONE`
  `NUMERIC`
  `REAL`
  `SIGNED_OFFSET`
  `SMALL_INT`
  `TIME`
  `TIMESTAMP`
  `TINY_INT`
  `UNICODE_CHAR`
  `UNICODE_LONG_VARCHAR`
  `UNICODE_VARCHAR`
  `UNKNOWN`
  `UNSIGNED_OFFSET`
  `VAR_BINARY`
  `VARCHAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SqlDataType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static SqlDataType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final SqlDataType UNKNOWN

  - ### CHAR

    public static final SqlDataType CHAR

  - ### VARCHAR

    public static final SqlDataType VARCHAR

  - ### LONG_VARCHAR

    public static final SqlDataType LONG_VARCHAR

  - ### UNICODE_CHAR

    public static final SqlDataType UNICODE_CHAR

  - ### UNICODE_VARCHAR

    public static final SqlDataType UNICODE_VARCHAR

  - ### UNICODE_LONG_VARCHAR

    public static final SqlDataType UNICODE_LONG_VARCHAR

  - ### DECIMAL

    public static final SqlDataType DECIMAL

  - ### NUMERIC

    public static final SqlDataType NUMERIC

  - ### SMALL_INT

    public static final SqlDataType SMALL_INT

  - ### INTEGER

    public static final SqlDataType INTEGER

  - ### REAL

    public static final SqlDataType REAL

  - ### FLOAT

    public static final SqlDataType FLOAT

  - ### DOUBLE

    public static final SqlDataType DOUBLE

  - ### BIT

    public static final SqlDataType BIT

  - ### TINY_INT

    public static final SqlDataType TINY_INT

  - ### BIG_INT

    public static final SqlDataType BIG_INT

  - ### BINARY

    public static final SqlDataType BINARY

  - ### VAR_BINARY

    public static final SqlDataType VAR_BINARY

  - ### LONG_VAR_BINARY

    public static final SqlDataType LONG_VAR_BINARY

  - ### DATE

    public static final SqlDataType DATE

  - ### TIME

    public static final SqlDataType TIME

  - ### TIMESTAMP

    public static final SqlDataType TIMESTAMP

  - ### INTERVAL_MONTH

    public static final SqlDataType INTERVAL_MONTH

  - ### INTERVAL_YEAR

    public static final SqlDataType INTERVAL_YEAR

  - ### INTERVAL_YEAR_TO_MONTH

    public static final SqlDataType INTERVAL_YEAR_TO_MONTH

  - ### INTERVAL_DAY

    public static final SqlDataType INTERVAL_DAY

  - ### INTERVAL_HOUR

    public static final SqlDataType INTERVAL_HOUR

  - ### INTERVAL_MINUTE

    public static final SqlDataType INTERVAL_MINUTE

  - ### INTERVAL_SECOND

    public static final SqlDataType INTERVAL_SECOND

  - ### INTERVAL_DAY_TO_HOUR

    public static final SqlDataType INTERVAL_DAY_TO_HOUR

  - ### INTERVAL_DAY_TO_MINUTE

    public static final SqlDataType INTERVAL_DAY_TO_MINUTE

  - ### INTERVAL_DAY_TO_SECOND

    public static final SqlDataType INTERVAL_DAY_TO_SECOND

  - ### INTERVAL_HOUR_TO_MINUTE

    public static final SqlDataType INTERVAL_HOUR_TO_MINUTE

  - ### INTERVAL_HOUR_TO_SECOND

    public static final SqlDataType INTERVAL_HOUR_TO_SECOND

  - ### INTERVAL_MINUTE_TO_SECOND

    public static final SqlDataType INTERVAL_MINUTE_TO_SECOND

  - ### GUID

    public static final SqlDataType GUID

  - ### SIGNED_OFFSET

    public static final SqlDataType SIGNED_OFFSET

  - ### UNSIGNED_OFFSET

    public static final SqlDataType UNSIGNED_OFFSET

  - ### NONE

    public static final SqlDataType NONE

- ## Method Details

  - ### values

    public static SqlDataType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SqlDataType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null